### Parameters

`S : sig ... end`

### Signature

`type t`````
`val headers : t ‑> Email_message.Email_headers.t`
`val last_header : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> Email_message.Email_headers.Name.t ‑> Email_message.Email_headers.Value.t option`
`val find_all_headers : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> Email_message.Email_headers.Name.t ‑> Email_message.Email_headers.Value.t list`
`val add_header : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> name:string ‑> value:string ‑> t`
`val add_headers : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> (string * string) list ‑> t`
`val set_header : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> name:string ‑> value:string ‑> t`
`val add_header_at_bottom : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> name:string ‑> value:string ‑> t`
`val add_headers_at_bottom : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> (string * string) list ‑> t`
`val set_headers : t ‑> Email_message.Email_headers.t ‑> t`
`val set_header_at_bottom : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> name:string ‑> value:string ‑> t`
`val smash_and_add_header : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> name:string ‑> value:string ‑> t`
`val modify_headers : t ‑> f:(Email_message.Email_headers.t ‑> Email_message.Email_headers.t) ‑> t`
`val filter_headers : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> f:(name:Email_message.Email_headers.Name.t ‑> value:Email_message.Email_headers.Value.t ‑> bool) ‑> t`
`val map_headers : ?⁠whitespace:Email_message.Email_headers.Whitespace.t ‑> t ‑> f:(name:Email_message.Email_headers.Name.t ‑> value:Email_message.Email_headers.Value.t ‑> string) ‑> t`